#ifndef __ObjReader_H__
#define __ObjReader_H__

#include <string>
#include <vector>
#include <Ogre.h>
#include "Containers.h"


class __declspec(dllexport) ObjReader
{
public:
	ObjReader(Ogre::SceneManager *sceneManager);
	~ObjReader();

	bool LoadFile(const string &sceneName, 
				  const string &visibilitySolution,
				  Ogre::SceneNode *root);
	
	Ogre::Entity *CreateEntity(const std::string &name,
							   GtpVisibilityPreprocessor::Intersectable *object);

protected:

	Ogre::SceneManager *mSceneManager;
};

#endif